# Uses of Interface
com.sun.source.tree.AnnotationTree

Packages that use AnnotationTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of AnnotationTree in com.sun.source.tree

  Methods in com.sun.source.tree that return types with arguments of type AnnotationTree
  Modifier and Type
  Method
  Description
  `List<? extends AnnotationTree>`
  AnnotatedTypeTree.`getAnnotations()`
  Returns the annotations associated with this type expression.
  `List<? extends AnnotationTree>`
  ModifiersTree.`getAnnotations()`
  Returns the annotations in this modifiers tree.
  `List<? extends AnnotationTree>`
  ModuleTree.`getAnnotations()`
  Returns the annotations associated with this module declaration.
  `List<? extends AnnotationTree>`
  NewArrayTree.`getAnnotations()`
  Returns the annotations on the base type.
  `List<? extends AnnotationTree>`
  PackageTree.`getAnnotations()`
  Returns the annotations associated with this package declaration.
  `List<? extends AnnotationTree>`
  TypeParameterTree.`getAnnotations()`
  Returns annotations on the type parameter declaration.
  `List<? extends List<? extends AnnotationTree>>`
  NewArrayTree.`getDimAnnotations()`
  Returns the annotations on each of the dimension expressions.
  `List<? extends AnnotationTree>`
  CompilationUnitTree.`getPackageAnnotations()`
  Returns the annotations listed on any package declaration at the head of this compilation unit, or `null` if there is no package declaration.
  Methods in com.sun.source.tree with parameters of type AnnotationTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitAnnotation(AnnotationTree node, P p)`
  Visits an `AnnotatedTree` node.

- ## Uses of AnnotationTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type AnnotationTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitAnnotation(AnnotationTree node, P p)`
  Visits an `AnnotatedTree` node.
  `R`
  TreeScanner.`visitAnnotation(AnnotationTree node, P p)`
  Visits an `AnnotatedTree` node.